## oxygen-qt4 5.3.1

=== CMakeLists.txt ===
project(oxygen)
set(PROJECT_VERSION "5.3.1")
set(PROJECT_VERSION_MAJOR 5)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

set(OXYGEN_USE_KDE4 ${USE_KDE4})
if(OXYGEN_USE_KDE4)

  ############ Language and toolchain features
  ############ copied from ECM
  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel" AND NOT WIN32)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  endif()

endif()

################# Qt/KDE #################
if(OXYGEN_USE_KDE4)

  find_package(KDE4 REQUIRED)
  include(KDE4Defaults)
  include(MacroLibrary)

  add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
  include_directories(${KDE4_INCLUDES})

  ### KDE workspace (needed for window decoration)
  find_package(KDE4Workspace 4.9.80)
  set_package_properties(
    KDE4Workspace PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required to oxygen window decoration for kwin"
 )

  ### XCB
  find_package(PkgConfig)
  pkg_check_modules(XCB xcb x11-xcb)
  set(OXYGEN_HAVE_X11 ${XCB_FOUND})

  add_subdirectory(liboxygen)
  add_subdirectory(kstyle)
  if(KDE4Workspace_FOUND)
     add_subdirectory(kwin-decoration)
  endif()

else()

  find_package(ECM 0.0.9 REQUIRED NO_MODULE)
  set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

  find_package(Qt5 REQUIRED CONFIG COMPONENTS Widgets DBus)
  find_package(KF5 REQUIRED COMPONENTS
      I18n
      Config
      GuiAddons
      WidgetsAddons
      Service
      Completion
      FrameworkIntegration
      WindowSystem)

  find_package(XCB COMPONENTS XCB)
  set_package_properties(XCB PROPERTIES
      DESCRIPTION "X protocol C-language Binding"
      URL "http://xcb.freedesktop.org"
      TYPE OPTIONAL
      PURPOSE "Required to pass style properties to native Windows on X11 Platform"
  )

  if(NOT APPLE)

    set(OXYGEN_HAVE_X11 ${XCB_XCB_FOUND})
    if (XCB_XCB_FOUND)
      find_package(Qt5 REQUIRED CONFIG COMPONENTS X11Extras)
    endif()

  endif()

  include(KDEInstallDirs)
  include(KDECMakeSettings)
  include(KDECompilerSettings)

  add_subdirectory(liboxygen)
  add_subdirectory(kstyle)
  add_subdirectory(cursors)

  add_subdirectory(sounds)
  add_subdirectory(kdecoration)

  install(DIRECTORY lookandfeel/ DESTINATION ${CMAKE_INSTALL_PREFIX}/share/plasma/look-and-feel/org.kde.oxygen
          PATTERN "Messages.sh" EXCLUDE PATTERN "CMakeLists.txt" EXCLUDE)

  # po/ dir added by packaging scripts
  if(EXISTS ${CMAKE_SOURCE_DIR}/po AND IS_DIRECTORY ${CMAKE_SOURCE_DIR}/po)
    find_package(KF5I18n CONFIG REQUIRED)
    ki18n_install(po)
  endif()

endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## oxygen-qt4 5.2.2

=== debian/changelog ===
oxygen-qt4 (4:5.2.2-0ubuntu2) vivid; urgency=medium

  * Add upstream_respect-double-click-settings.diff to fix double click
    setting

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Apr 2015 16:08:37 +0200

oxygen-qt4 (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:41:32 -0700

oxygen-qt4 (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 14:46:01 -0800

oxygen-qt4 (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:58:20 +0100

oxygen-qt4 (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:34:44 +0100

oxygen-qt4 (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Jan 2015 19:29:53 +0100

oxygen-qt4 (4:5.1.1-0ubuntu2) vivid; urgency=medium

  * New upstream release
  * Remove unused build-dep kde-workspace-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Nov 2014 21:09:31 +0100

oxygen-qt4 (4:5.1.0.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * Initial package of qt4 build, same source as oxygen different build
    flag

  [ Harald Sitter ]
  * Lintian override fixes
    + Override libraries with  wildcards to not update them every
      release.
    + Override new missing manpages.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:50:05 +0200

=== debian/control ===
Source: oxygen-qt4
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               kdelibs5-dev
Standards-Version: 3.9.6
Section: kde
Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/oxygen-qt4.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/oxygen-qt4.git

Package: kde-style-oxygen-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-style-oxygen
Replaces: kde-style-oxygen
Description: Qt 4 decoration for the Oxygen desktop theme
 The Oxygen desktop theme is used by Plasma and other KDE Software.
 .
 This is the version shipped with Plasma 5. This package contains the
 Qt 4 widget theme.

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/oxygen-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/oxygen-(.*)\.tar\.xz

## oxygen-qt4 5.3.1

=== debian/changelog ===
oxygen-qt4 (4:5.3.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Jun 2015 22:01:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
                extra-cmake-modules (>= 1.3.0~),
+               kdelibs5-dev,
                libx11-dev,
                libxcb1-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
-               kdelibs5-dev
+               pkg-kde-tools (>= 0.15.15ubuntu1~)
 Standards-Version: 3.9.6
 Section: kde
 Homepage: https://projects.kde.org/projects/kde/workspace/oxygen
